Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Interface Individual

All Superinterfaces:
  Persistent, java.io.Serializable

public interface Individual
extends Persistent

This is a class representing a single individual. An individual may be part of a population. A pedigree may be constructed using the father and mother attributes.

Author:
  Craig Melsopp

Method Summary
`java.util.List` | `getChildren()` All children of this individual.
`java.lang.String` | `getDescription()` Description of the individual.
`Individual` | `getFather()` Father of this individual.
`java.lang.String` | `getGender()` Gender.
`Individual` | `getMother()` Mother of this individual.
`java.lang.String` | `getName()`
`java.util.List` | `getPopulations()` Populations this individual belongs to.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

  Description of the individual.

  Returns:
    Description of the individual.

### getGender

    public java.lang.String getGender()

  Gender.

  Returns:
    gender.

### getPopulations

    public java.util.List getPopulations()

  Populations this individual belongs to.

  Returns:
    zero or more Populations that this individual belongs to.

### getFather

    public Individual getFather()

  Father of this individual.

  Returns:
    father, null if not available.

### getMother

    public Individual getMother()

  Mother of this individual.

  Returns:
    mother, null if not available.

### getChildren

    public java.util.List getChildren()

  All children of this individual.

  Returns:
    zero or more children Individuals.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD